<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.vip.VipActivity">

    <FrameLayout
        android:id="@+id/fl_quit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="15dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/guanbi"
            tools:ignore="ContentDescription" />

    </FrameLayout>

    <TextView
        android:id="@+id/tv_restore"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="15dp"
        android:text="Restore"
        android:textColor="@color/black"
        android:textSize="19sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/fl_quit"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/fl_quit"
        tools:ignore="HardcodedText" />


    <LinearLayout
        android:id="@+id/ll1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="70dp"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="ContentDescription">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:src="@mipmap/viptu" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="10dp"
            android:text="Upgrade to premium version"
            android:textColor="@color/black"
            android:textSize="19sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="10dp"
            android:text="A complete and refreshing experience."
            android:textSize="16sp"
            tools:ignore="HardcodedText" />


    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@id/ll1">

        <androidx.cardview.widget.CardView
            android:id="@+id/card_week"
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="28dp"
            android:layout_marginTop="30dp"
            app:cardCornerRadius="10dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="15dp"
                    android:layout_weight="1"
                    android:text="1 Week"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="US$"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:text="0.99"
                    android:textSize="25sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:layout_marginEnd="15dp"
                    android:text="/ Week"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="-40dp"
            android:layout_marginTop="-10dp"
            android:background="@drawable/bg_ff1f1f_5"
            android:elevation="10dp"
            android:paddingHorizontal="10dp"
            android:paddingVertical="3dp"
            android:text="15%"
            android:textColor="@color/white"
            app:layout_constraintStart_toEndOf="@id/card_week"
            app:layout_constraintTop_toTopOf="@id/card_week"
            tools:ignore="HardcodedText" />

        <androidx.cardview.widget.CardView
            android:id="@+id/card_month"
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="28dp"
            android:layout_marginTop="30dp"
            app:cardCornerRadius="10dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/card_week">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="15dp"
                    android:layout_weight="1"
                    android:text="1 Month"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="US$"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:text="2.99"
                    android:textSize="25sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:layout_marginEnd="15dp"
                    android:text="/ Month"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="-40dp"
            android:layout_marginTop="-10dp"
            android:background="@drawable/bg_ff1f1f_5"
            android:elevation="10dp"
            android:paddingHorizontal="10dp"
            android:paddingVertical="3dp"
            android:text="-25%"
            android:textColor="@color/white"
            app:layout_constraintStart_toEndOf="@id/card_month"
            app:layout_constraintTop_toTopOf="@id/card_month"
            tools:ignore="HardcodedText" />

        <androidx.cardview.widget.CardView
            android:id="@+id/card_year"
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="28dp"
            android:layout_marginTop="30dp"
            android:layout_marginBottom="5dp"
            app:cardCornerRadius="10dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/card_month">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="15dp"
                    android:layout_weight="1"
                    android:text="1 Year"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="US$"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:text="7.99"
                    android:textSize="25sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:layout_marginEnd="15dp"
                    android:text="/ Year"
                    android:textSize="14sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="-40dp"
            android:layout_marginTop="-10dp"
            android:background="@drawable/bg_ff1f1f_5"
            android:elevation="10dp"
            android:paddingHorizontal="10dp"
            android:paddingVertical="3dp"
            android:text="-84%"
            android:textColor="@color/white"
            app:layout_constraintStart_toEndOf="@id/card_year"
            app:layout_constraintTop_toTopOf="@id/card_year"
            tools:ignore="HardcodedText" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/tv_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:text="After subscribing, you can use advanced features\nwithout restrictions. You can unsubscribe from the\nsubscription on Google Play."
        android:textColor="#666666"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl"
        tools:ignore="HardcodedText" />

    <TextView
        android:id="@+id/tv_skip"
        android:layout_width="318dp"
        android:layout_height="45dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_4773ff_10"
        android:gravity="center"
        android:text="Skip"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_tip" />

</androidx.constraintlayout.widget.ConstraintLayout>